# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-genmarshal /usr/bin/gtkdocize /usr/bin/pkg-config /usr/bin/vapigen libgtk+2-devel pkgconfig(gdk-2.0) pkgconfig(gdk-x11-2.0) pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0) pkgconfig(glib-2.0) pkgconfig(gtk+-2.0) pkgconfig(libgtop-2.0) pkgconfig(x11)
# END SourceDeps(oneline)
Summary:	Application matching framework
Name:		bamf
Version:	0.2.104
Release:	alt1_4
# Library bits are LGPLv2 or LGPLv3 (but not open-ended LGPLv2+);
# non-lib bits are GPLv3.
# pbrobinson points out that three files in the lib are actually
# marked GPL in headers, making library GPL, though we think this
# may not be upstream's intention. For now, marking library as
# GPL.
# License:	LGPLv2 or LGPLv3
License:	GPLv2 or GPLv3
Group:		System/Libraries
URL:		https://launchpad.net/bamf
Source0:	http://launchpad.net/bamf/0.2/%{version}/+download/%{name}-%{version}.tar.gz

BuildRequires:	vala-tools
BuildRequires:	gtk-doc
BuildRequires:	libdbus-glib-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	gtk2-devel
BuildRequires:	libgtk+3-devel
BuildRequires:	pkgconfig(libwnck-1.0)
BuildRequires:	pkgconfig(libwnck-3.0)
BuildRequires:	libgtop2-devel
Source44: import.info

%description
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 2.

%package	devel
Summary:	Development files for %{name}
Group:		Development/C
License:	GPLv2 or GPLv3
Requires:	bamf = %{version}-%{release}
# For %{_libdir}/girepository-1.0 and %{_datadir}/gir-1.0
#Requires:	gobject-introspection-devel

%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package	daemon
Summary:	Application matching framework
Group:		System/Libraries
License:	GPLv3

%description	daemon
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf daemon and supporting data.

%package -n	%{name}3
Group: System/Libraries
Summary:	Application matching framework (GTK+ 3 build)

%description -n	%{name}3
BAMF removes the headache of applications matching into a simple DBus
daemon and C wrapper library. Currently features application matching
at amazing levels of accuracy (covering nearly every corner case). This
package contains the bamf library built against GTK+ 3.

%package -n	%{name}3-devel
Summary:	Development files for %{name} (GTK+ 3 build)
Group:		Development/C
License:	GPLv2 or GPLv3
Requires:	bamf3 = %{version}-%{release}
# For %{_libdir}/girepository-1.0 and %{_datadir}/gir-1.0
#Requires:	gobject-introspection-devel

%description -n	%{name}3-devel
The %{name}3-devel package contains libraries and header files for
developing applications that use %{name} (GTK+ 3 build).


%prep
%setup -q

%build
%global _configure_script ../configure
rm -rf build-gtk3 build-gtk2
mkdir build-gtk3 build-gtk2
pushd build-gtk2
%configure --disable-static --with-gtk=2 --enable-gtk-doc
make %{?_smp_mflags}
popd
pushd build-gtk3
%configure --disable-static --with-gtk=3 --enable-gtk-doc
make %{?_smp_mflags}
popd

%install

make -C build-gtk2 DESTDIR=%{buildroot} install
make -C build-gtk3 DESTDIR=%{buildroot} install

find %{buildroot} -regex ".*\.la$" | xargs rm -f --

%files
%doc COPYING.LGPL COPYING
%{_libdir}/libbamf.so.*

%files -n	%{name}3
%doc COPYING.LGPL COPYING
%{_libdir}/libbamf3.so.*

%files		devel
%doc COPYING.LGPL COPYING
%{_includedir}/libbamf
%{_libdir}/libbamf.so
%{_libdir}/pkgconfig/libbamf.pc
%{_datadir}/gtk-doc
# Installation of these was disabled in the 0.2.72 release commit,
# with no explanation - http://bazaar.launchpad.net/~unity-team/bamf/trunk/revision/374
#%{_libdir}/girepository-1.0/Bamf*.typelib
#%{_datadir}/gir-1.0/Bamf*.gir
#%{_datadir}/vala/vapi/Bamf*.vapi

%files -n	%{name}3-devel
%doc COPYING.LGPL COPYING
%{_includedir}/libbamf3
%{_libdir}/libbamf3.so
%{_libdir}/pkgconfig/libbamf3.pc
%{_datadir}/gtk-doc

%files		daemon
%doc COPYING
%{_libexecdir}/bamfdaemon
%{_datadir}/dbus-1/services/*.service

%changelog
* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.104-alt1_4
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 0.2.104-alt1_3
- converted for Sisyphus

